## GWeatherInfo

GWeatherInfo

## Functions

GWeatherInfo * | gweather_info_new ()
void | gweather_info_update ()
void | gweather_info_abort ()
gboolean | gweather_info_is_valid ()
gboolean | gweather_info_network_error ()
void | gweather_info_store_cache ()
const GWeatherLocation * | gweather_info_get_location ()
void | gweather_info_set_location ()
GSList * | gweather_info_get_forecast_list ()
GWeatherProvider | gweather_info_get_enabled_providers ()
void | gweather_info_set_enabled_providers ()
const gchar * | gweather_info_get_attribution ()
gchar * | gweather_info_get_location_name ()
const gchar * | gweather_info_get_icon_name ()
const gchar * | gweather_info_get_symbolic_icon_name ()
gchar * | gweather_info_get_weather_summary ()
gchar * | gweather_info_get_temp_summary ()
gchar * | gweather_info_get_update ()
gchar * | gweather_info_get_sky ()
gchar * | gweather_info_get_conditions ()
gchar * | gweather_info_get_temp ()
gchar * | gweather_info_get_temp_min ()
gchar * | gweather_info_get_temp_max ()
gchar * | gweather_info_get_dew ()
gchar * | gweather_info_get_humidity ()
gchar * | gweather_info_get_wind ()
gchar * | gweather_info_get_pressure ()
gchar * | gweather_info_get_visibility ()
gchar * | gweather_info_get_apparent ()
gchar * | gweather_info_get_sunrise ()
gchar * | gweather_info_get_sunset ()
GdkPixbufAnimation * | gweather_info_get_radar ()
const gchar * | gweather_conditions_to_string ()
const gchar * | gweather_sky_to_string ()
const gchar * | gweather_wind_direction_to_string ()
gboolean | gweather_info_get_value_update ()
gboolean | gweather_info_get_value_sky ()
gboolean | gweather_info_get_value_conditions ()
gboolean | gweather_info_get_value_temp ()
gboolean | gweather_info_get_value_temp_min ()
gboolean | gweather_info_get_value_temp_max ()
gboolean | gweather_info_get_value_dew ()
gboolean | gweather_info_get_value_apparent ()
gboolean | gweather_info_get_value_wind ()
gboolean | gweather_info_get_value_pressure ()
gboolean | gweather_info_get_value_visibility ()
gboolean | gweather_info_get_value_sunrise ()
gboolean | gweather_info_get_value_sunset ()
gint | gweather_info_next_sun_event ()
gboolean | gweather_info_get_value_moonphase ()
gboolean | gweather_info_get_upcoming_moonphases ()
gboolean | gweather_info_is_daytime ()

## Properties

GWeatherProvider | enabled-providers | Read / Write
GWeatherLocation * | location | Read / Write / Construct

## Signals

void | updated | Run First

## Types and Values

enum | GWeatherProvider
enum | GWeatherConditionPhenomenon
enum | GWeatherConditionQualifier
struct | GWeatherConditions
enum | GWeatherSky
enum | GWeatherWindDirection
typedef | GWeatherMoonLatitude
typedef | GWeatherMoonPhase
enum | GWeatherDistanceUnit
enum | GWeatherPressureUnit
enum | GWeatherSpeedUnit
enum | GWeatherTemperatureUnit

## Object Hierarchy

        GObject
        ╰── GWeatherInfo

## Includes

    #include <libgweather/gweather.h>

## Description

GWeatherInfo provides a handy way to access weather conditions and forecasts from a GWeatherLocation, aggregating multiple different web services.

It includes also astronomical data such as sunrise times and moon phases.

## Functions

### gweather_info_new ()

    GWeatherInfo *
    gweather_info_new (GWeatherLocation *location);

Builds a new GWeatherInfo that will provide weather information about `location` .

#### Parameters

location | the desidered GWeatherLocation (`NULL` for default). | [allow-none]

#### Returns

a new GWeatherInfo.

[transfer full]

### gweather_info_update ()

    void
    gweather_info_update (GWeatherInfo *info);

Requests a reload of weather conditions and forecast data from enabled network services. This call does no synchronous IO: rather, the result is delivered by emitting the “updated” signal. Note that if no network services are enabled, the signal will not be emitted. See “enabled-providers” for details.

#### Parameters

info | a GWeatherInfo |

### gweather_info_abort ()

    void
    gweather_info_abort (GWeatherInfo *info);

### gweather_info_is_valid ()

    gboolean
    gweather_info_is_valid (GWeatherInfo *info);

### gweather_info_network_error ()

    gboolean
    gweather_info_network_error (GWeatherInfo *info);

### gweather_info_store_cache ()

    void
    gweather_info_store_cache (void);

Ensures that any data cached from the network is stored to disk. Calling this is not necessary, as the cache will be saved when the last reference to a GWeatherInfo will be dropped. On the other hand, it must be called if there is any chance that the application will be closed without unreffing all objects, such as when using a language binding that employs a GC.

### gweather_info_get_location ()

    const GWeatherLocation *
    gweather_info_get_location (GWeatherInfo *info);

### gweather_info_set_location ()

    void
    gweather_info_set_location (GWeatherInfo *info,
                                GWeatherLocation *location);

Changes `info` to report weather for `location` . Note that this will clear any forecast or current conditions from `info` , you must call `gweather_info_update()` to obtain the new data.

#### Parameters

info | a GWeatherInfo |
location | a location for which weather is desired. | [allow-none]

### gweather_info_get_forecast_list ()

    GSList *
    gweather_info_get_forecast_list (GWeatherInfo *info);

#### Parameters

info | a GWeatherInfo |

#### Returns

list of GWeatherInfo* objects for the forecast. The list is owned by the 'info' object thus is alive as long as the 'info'. The 'update' property is the date/time when the forecast info is used for.

[transfer none][element-type GWeather.Info]

### gweather_info_get_enabled_providers ()

    GWeatherProvider
    gweather_info_get_enabled_providers (GWeatherInfo *info);

### gweather_info_set_enabled_providers ()

    void
    gweather_info_set_enabled_providers (GWeatherInfo *info,
                                         GWeatherProvider providers);

### gweather_info_get_attribution ()

    const gchar *
    gweather_info_get_attribution (GWeatherInfo *info);

Some weather services require the application showing the data to include an attribution text, possibly including links to the service website. This must be shown prominently toghether with the data.

#### Parameters

info | a GWeatherInfo |

#### Returns

the required attribution text, in Pango markup form, or `NULL` if not required.

[transfer none]

### gweather_info_get_location_name ()

    gchar *
    gweather_info_get_location_name (GWeatherInfo *info);

### gweather_info_get_icon_name ()

    const gchar *
    gweather_info_get_icon_name (GWeatherInfo *info);

### gweather_info_get_symbolic_icon_name ()

    const gchar *
    gweather_info_get_symbolic_icon_name (GWeatherInfo *info);

### gweather_info_get_weather_summary ()

    gchar *
    gweather_info_get_weather_summary (GWeatherInfo *info);

#### Parameters

info | a GWeatherInfo |

#### Returns

a summary for current weather conditions.

[transfer full]

### gweather_info_get_temp_summary ()

    gchar *
    gweather_info_get_temp_summary (GWeatherInfo *info);

### gweather_info_get_update ()

    gchar *
    gweather_info_get_update (GWeatherInfo *info);

### gweather_info_get_sky ()

    gchar *
    gweather_info_get_sky (GWeatherInfo *info);

### gweather_info_get_conditions ()

    gchar *
    gweather_info_get_conditions (GWeatherInfo *info);

### gweather_info_get_temp ()

    gchar *
    gweather_info_get_temp (GWeatherInfo *info);

### gweather_info_get_temp_min ()

    gchar *
    gweather_info_get_temp_min (GWeatherInfo *info);

### gweather_info_get_temp_max ()

    gchar *
    gweather_info_get_temp_max (GWeatherInfo *info);

### gweather_info_get_dew ()

    gchar *
    gweather_info_get_dew (GWeatherInfo *info);

### gweather_info_get_humidity ()

    gchar *
    gweather_info_get_humidity (GWeatherInfo *info);

### gweather_info_get_wind ()

    gchar *
    gweather_info_get_wind (GWeatherInfo *info);

### gweather_info_get_pressure ()

    gchar *
    gweather_info_get_pressure (GWeatherInfo *info);

### gweather_info_get_visibility ()

    gchar *
    gweather_info_get_visibility (GWeatherInfo *info);

### gweather_info_get_apparent ()

    gchar *
    gweather_info_get_apparent (GWeatherInfo *info);

### gweather_info_get_sunrise ()

    gchar *
    gweather_info_get_sunrise (GWeatherInfo *info);

### gweather_info_get_sunset ()

    gchar *
    gweather_info_get_sunset (GWeatherInfo *info);

### gweather_info_get_radar ()

    GdkPixbufAnimation *
    gweather_info_get_radar (GWeatherInfo *info);

#### Parameters

info | a GWeatherInfo |

#### Returns

what?.

[transfer none]

### gweather_conditions_to_string ()

    const gchar *
    gweather_conditions_to_string (GWeatherConditions *conditions);

### gweather_sky_to_string ()

    const gchar *
    gweather_sky_to_string (GWeatherSky sky);

### gweather_wind_direction_to_string ()

    const gchar *
    gweather_wind_direction_to_string (GWeatherWindDirection wind);

### gweather_info_get_value_update ()

    gboolean
    gweather_info_get_value_update (GWeatherInfo *info,
                                    time_t *value);

Note that `value` may be 0 if `info` has not yet been updated.

#### Parameters

info | a GWeatherInfo |
value | the time `info` was last updated. | [out][type glong]

#### Returns

TRUE is `value` is valid, FALSE otherwise.

### gweather_info_get_value_sky ()

    gboolean
    gweather_info_get_value_sky (GWeatherInfo *info,
                                 GWeatherSky *sky);

Fills out `sky` with current sky conditions.

#### Parameters

info | a GWeatherInfo |
sky | a location for a GWeatherSky. | [out]

#### Returns

TRUE is `sky` is valid, FALSE otherwise.

### gweather_info_get_value_conditions ()

    gboolean
    gweather_info_get_value_conditions (GWeatherInfo *info,
                                        GWeatherConditionPhenomenon *phenomenon,
                                        GWeatherConditionQualifier *qualifier);

Fills out `phenomenon` and `qualifier` with current weather conditions.

#### Parameters

info | a GWeatherInfo |
phenomenon | a location for a GWeatherConditionPhenomenon. | [out]
qualifier | a location for a GWeatherConditionQualifier. | [out]

#### Returns

TRUE is out arguments are valid, FALSE otherwise.

### gweather_info_get_value_temp ()

    gboolean
    gweather_info_get_value_temp (GWeatherInfo *info,
                                  GWeatherTemperatureUnit unit,
                                  gdouble *value);

#### Parameters

info | a GWeatherInfo |
unit | the desired unit, as a GWeatherTemperatureUnit |
value | the temperature value. | [out]

#### Returns

TRUE is `value` is valid, FALSE otherwise.

### gweather_info_get_value_temp_min ()

    gboolean
    gweather_info_get_value_temp_min (GWeatherInfo *info,
                                      GWeatherTemperatureUnit unit,
                                      gdouble *value);

#### Parameters

info | a GWeatherInfo |
unit | the desired unit, as a GWeatherTemperatureUnit |
value | the minimum temperature value. | [out]

#### Returns

TRUE is `value` is valid, FALSE otherwise.

### gweather_info_get_value_temp_max ()

    gboolean
    gweather_info_get_value_temp_max (GWeatherInfo *info,
                                      GWeatherTemperatureUnit unit,
                                      gdouble *value);

#### Parameters

info | a GWeatherInfo |
unit | the desired unit, as a GWeatherTemperatureUnit |
value | the maximum temperature value. | [out]

#### Returns

TRUE is `value` is valid, FALSE otherwise.

### gweather_info_get_value_dew ()

    gboolean
    gweather_info_get_value_dew (GWeatherInfo *info,
                                 GWeatherTemperatureUnit unit,
                                 gdouble *value);

#### Parameters

info | a GWeatherInfo |
unit | the desired unit, as a GWeatherTemperatureUnit |
value | the dew point. | [out]

#### Returns

TRUE is `value` is valid, FALSE otherwise.

### gweather_info_get_value_apparent ()

    gboolean
    gweather_info_get_value_apparent (GWeatherInfo *info,
                                      GWeatherTemperatureUnit unit,
                                      gdouble *value);

#### Parameters

info | a GWeatherInfo |
unit | the desired unit, as a GWeatherTemperatureUnit |
value | the apparent temperature. | [out]

#### Returns

TRUE is `value` is valid, FALSE otherwise.

### gweather_info_get_value_wind ()

    gboolean
    gweather_info_get_value_wind (GWeatherInfo *info,
                                  GWeatherSpeedUnit unit,
                                  gdouble *speed,
                                  GWeatherWindDirection *direction);

#### Parameters

info | a GWeatherInfo |
unit | the desired unit, as a GWeatherSpeedUnit |
speed | forecasted wind speed. | [out]
direction | forecasted wind direction. | [out]

#### Returns

TRUE if `speed` and `direction` are valid, FALSE otherwise.

### gweather_info_get_value_pressure ()

    gboolean
    gweather_info_get_value_pressure (GWeatherInfo *info,
                                      GWeatherPressureUnit unit,
                                      gdouble *value);

#### Parameters

info | a GWeatherInfo |
unit | the desired unit, as a GWeatherPressureUnit |
value | forecasted pressure, expressed in `unit` . | [out]

#### Returns

TRUE if `value` is valid, FALSE otherwise.

### gweather_info_get_value_visibility ()

    gboolean
    gweather_info_get_value_visibility (GWeatherInfo *info,
                                        GWeatherDistanceUnit unit,
                                        gdouble *value);

#### Parameters

info | a GWeatherInfo |
unit | the desired unit, as a GWeatherDistanceUnit |
value | forecasted visibility, expressed in `unit` . | [out]

#### Returns

TRUE if `value` is valid, FALSE otherwise.

### gweather_info_get_value_sunrise ()

    gboolean
    gweather_info_get_value_sunrise (GWeatherInfo *info,
                                     time_t *value);

#### Parameters

info | a GWeatherInfo |
value | the time of sunrise. | [out][type gulong]

#### Returns

TRUE is `value` is valid, FALSE otherwise.

### gweather_info_get_value_sunset ()

    gboolean
    gweather_info_get_value_sunset (GWeatherInfo *info,
                                    time_t *value);

#### Parameters

info | a GWeatherInfo |
value | the time of sunset. | [out][type gulong]

#### Returns

TRUE is `value` is valid, FALSE otherwise.

### gweather_info_next_sun_event ()

    gint
    gweather_info_next_sun_event (GWeatherInfo *info);

### gweather_info_get_value_moonphase ()

    gboolean
    gweather_info_get_value_moonphase (GWeatherInfo *info,
                                       GWeatherMoonPhase *value,
                                       GWeatherMoonLatitude *lat);

#### Parameters

info | a GWeatherInfo |
value | the current moon phase. | [out]
lat | the moon declension. | [out]

#### Returns

TRUE is `value` is valid, FALSE otherwise.

### gweather_info_get_upcoming_moonphases ()

    gboolean
    gweather_info_get_upcoming_moonphases (GWeatherInfo *info,
                                           time_t *phases);

#### Parameters

info | a GWeatherInfo containing the time_t of interest |
phases | An array of four time_t values that will hold the returned values. The values are estimates of the time of the next new, quarter, full and three-quarter moons. | [out][array fixed-size=4][element-type gulong]

#### Returns

gboolean indicating success or failure

### gweather_info_is_daytime ()

    gboolean
    gweather_info_is_daytime (GWeatherInfo *info);

#### Parameters

info | a GWeatherInfo |

#### Returns

Whether it is daytime (that is, if the sun is visible) or not at the location and the point of time referred by `info` . This is mostly equivalent to comparing the return value of `gweather_info_get_value_sunrise()` and `gweather_info_get_value_sunset()`, but it accounts also for midnight sun and polar night, for locations within the Artic and Antartic circles.

## Types and Values

### enum GWeatherProvider

#### Members

GWEATHER_PROVIDER_NONE | no provider, no weather information available |
GWEATHER_PROVIDER_METAR | METAR office, providing current conditions worldwide |
GWEATHER_PROVIDER_IWIN | US weather office, providing 7 days of forecast |
GWEATHER_PROVIDER_YAHOO | Yahoo Weather Service, removed in 3.27.1 |
GWEATHER_PROVIDER_YR_NO | Yr.no service, worldwide but requires attribution |
GWEATHER_PROVIDER_OWM | OpenWeatherMap, worldwide and possibly more reliable, but requires attribution and is limited in the number of queries |
GWEATHER_PROVIDER_ALL | enable all available providers |

### enum GWeatherConditionPhenomenon

The current or forecasted significant phenomenon.

#### Members

GWEATHER_PHENOMENON_INVALID | value not available |
GWEATHER_PHENOMENON_NONE | no significant phenomenon |
GWEATHER_PHENOMENON_DRIZZLE |  |
GWEATHER_PHENOMENON_RAIN |  |
GWEATHER_PHENOMENON_SNOW |  |
GWEATHER_PHENOMENON_SNOW_GRAINS |  |
GWEATHER_PHENOMENON_ICE_CRYSTALS |  |
GWEATHER_PHENOMENON_ICE_PELLETS |  |
GWEATHER_PHENOMENON_HAIL |  |
GWEATHER_PHENOMENON_SMALL_HAIL |  |
GWEATHER_PHENOMENON_UNKNOWN_PRECIPITATION |  |
GWEATHER_PHENOMENON_MIST |  |
GWEATHER_PHENOMENON_FOG |  |
GWEATHER_PHENOMENON_SMOKE |  |
GWEATHER_PHENOMENON_VOLCANIC_ASH |  |
GWEATHER_PHENOMENON_SAND |  |
GWEATHER_PHENOMENON_HAZE |  |
GWEATHER_PHENOMENON_SPRAY |  |
GWEATHER_PHENOMENON_DUST |  |
GWEATHER_PHENOMENON_SQUALL |  |
GWEATHER_PHENOMENON_SANDSTORM |  |
GWEATHER_PHENOMENON_DUSTSTORM |  |
GWEATHER_PHENOMENON_FUNNEL_CLOUD |  |
GWEATHER_PHENOMENON_TORNADO |  |
GWEATHER_PHENOMENON_DUST_WHIRLS |  |
GWEATHER_PHENOMENON_LAST |  |

### enum GWeatherConditionQualifier

An additional modifier applied to a GWeatherConditionPhenomenon to describe the current or forecasted weather conditions. The exact meaning of each qualifier is described at http://www.weather.com/glossary/ and http://www.crh.noaa.gov/arx/wx.tbl.php

#### Members

GWEATHER_QUALIFIER_INVALID | value not available |
GWEATHER_QUALIFIER_NONE | no qualifier for the phenomenon |
GWEATHER_QUALIFIER_VICINITY | phenomenon happening in the proximity of the location, not in the actual location |
GWEATHER_QUALIFIER_LIGHT | phenomenon is light or predicted to be light |
GWEATHER_QUALIFIER_MODERATE | phenomenon is moderate or predicted to be moderate |
GWEATHER_QUALIFIER_HEAVY | phenomenon is heavy or predicted to be heavy |
GWEATHER_QUALIFIER_SHALLOW | shallow fog (only valid with `GWEATHER_PHENOMENON_FOG`) |
GWEATHER_QUALIFIER_PATCHES | patches of fog (only valid with `GWEATHER_PHENOMENON_FOG`) |
GWEATHER_QUALIFIER_PARTIAL | partial fog (only valid with `GWEATHER_PHENOMENON_FOG`) |
GWEATHER_QUALIFIER_THUNDERSTORM | phenomenon will be a thunderstorm and/or will include lightning |
GWEATHER_QUALIFIER_BLOWING | phenomenon is blowing (valid with `GWEATHER_PHENOMENON_SNOW`, `GWEATHER_PHENOMENON_SAND`, `GWEATHER_PHENOMENON_SPRAY`, `GWEATHER_PHENOMENON_DUST`) |
GWEATHER_QUALIFIER_SHOWERS | phenomenon is heavy and involves showers |
GWEATHER_QUALIFIER_DRIFTING | phenomenon is moving across (valid with `GWEATHER_PHENOMENON_SAND` and `GWEATHER_PHENOMENON_DUST`) |
GWEATHER_QUALIFIER_FREEZING | phenomenon is freezing and involves ice |
GWEATHER_QUALIFIER_LAST | maximum value of the enumeration. |

### struct GWeatherConditions

    struct GWeatherConditions {
        gboolean significant;
        GWeatherConditionPhenomenon phenomenon;
        GWeatherConditionQualifier qualifier;
    };

A convenient way to describe the current or forecast weather phenomenon, if significant, and its associated modifier. If the value is not significant, the weather conditions are described by `gweather_info_get_sky()` instead.

In general it is discouraged to use this value directly to compute the forecast icon: applications should instead use `gweather_info_get_icon_name()` or `gweather_info_get_symbolic_icon_name()`.

#### Members

gboolean `significant`; | `TRUE` if the struct contains usable data, `FALSE` otherwise |
GWeatherConditionPhenomenon `phenomenon`; | the main weather phenomenon |
GWeatherConditionQualifier `qualifier`; | a modifier for `phenomenon` |

### enum GWeatherSky

The sky and cloud visibility. In general it is discouraged to use this value directly to compute the forecast icon: applications should instead use `gweather_info_get_icon_name()` or `gweather_info_get_symbolic_icon_name()`.

#### Members

GWEATHER_SKY_INVALID | value not available |
GWEATHER_SKY_CLEAR | sky completely clear, no clouds visible |
GWEATHER_SKY_BROKEN | sky mostly clear, few clouds |
GWEATHER_SKY_SCATTERED | sky mostly clear, patches of clouds |
GWEATHER_SKY_FEW | few clouds, sky cloudy but patches of sky visible |
GWEATHER_SKY_OVERCAST | sky completely clouded, sun not visible |
GWEATHER_SKY_LAST | the maximum value for the enumeration |

### enum GWeatherWindDirection

The direction of the prevailing wind. Composite values such as north-north-east indicate a direction between the two component value (north and north-east).

#### Members

GWEATHER_WIND_INVALID | value not available |
GWEATHER_WIND_VARIABLE | variable throughout the day |
GWEATHER_WIND_N | north |
GWEATHER_WIND_NNE | north-north-east |
GWEATHER_WIND_NE | north-east |
GWEATHER_WIND_ENE | east-north-east |
GWEATHER_WIND_E | east |
GWEATHER_WIND_ESE | east-south-east |
GWEATHER_WIND_SE | south-east |
GWEATHER_WIND_SSE | south-south-east |
GWEATHER_WIND_S | south |
GWEATHER_WIND_SSW | south-south-west |
GWEATHER_WIND_SW | south-west |
GWEATHER_WIND_WSW | west-south-west |
GWEATHER_WIND_W | west |
GWEATHER_WIND_WNW | west-north-west |
GWEATHER_WIND_NW | north-west |
GWEATHER_WIND_NNW | north-north-west |
GWEATHER_WIND_LAST | maximum value for the enumeration |

### GWeatherMoonLatitude

    typedef gdouble GWeatherMoonLatitude;

The moon declension, in degrees.

### GWeatherMoonPhase

    typedef gdouble GWeatherMoonPhase;

The current phase of the moon, represented as degrees, where 0 is the new moon, 90 is the first quarter, etc.

### enum GWeatherDistanceUnit

The measure unit to use for sky visibility values, when retrieved by `gweather_info_get_value_visibility()`.

#### Members

GWEATHER_DISTANCE_UNIT_INVALID | invalid unit |
GWEATHER_DISTANCE_UNIT_DEFAULT | the user preferred distance unit |
GWEATHER_DISTANCE_UNIT_METERS | meters |
GWEATHER_DISTANCE_UNIT_KM | kilometers (= 1000 meters) |
GWEATHER_DISTANCE_UNIT_MILES | miles |

### enum GWeatherPressureUnit

The measure unit to use for atmospheric pressure values, when retrieved by `gweather_info_get_value_pressure()`.

#### Members

GWEATHER_PRESSURE_UNIT_INVALID | invalid unit |
GWEATHER_PRESSURE_UNIT_DEFAULT | the user preferred pressure unit |
GWEATHER_PRESSURE_UNIT_KPA | kiloPascal (* 10^3 Pa) |
GWEATHER_PRESSURE_UNIT_HPA | hectoPascal (* 10^2 Pa); also known as millibars, but formatted differently |
GWEATHER_PRESSURE_UNIT_MB | millibars; same as `GWEATHER_PRESSURE_UNIT_HPA` |
GWEATHER_PRESSURE_UNIT_MM_HG | millimeters of mercury |
GWEATHER_PRESSURE_UNIT_INCH_HG | inches of mercury |
GWEATHER_PRESSURE_UNIT_ATM | atmospheres |

### enum GWeatherSpeedUnit

The measure unit to use for wind speed values, when retrieved by `gweather_info_get_value_wind()`.

#### Members

GWEATHER_SPEED_UNIT_INVALID | invalid unit |
GWEATHER_SPEED_UNIT_DEFAULT | the user preferred speed unit |
GWEATHER_SPEED_UNIT_MS | meters per second |
GWEATHER_SPEED_UNIT_KPH | kilometers per hour |
GWEATHER_SPEED_UNIT_MPH | miles per hour |
GWEATHER_SPEED_UNIT_KNOTS | knots |
GWEATHER_SPEED_UNIT_BFT | Beaufort scale |

### enum GWeatherTemperatureUnit

The measure unit to use for temperature values, when retrieved by the `gweather_info_get_value_temp()` family of functions.

#### Members

GWEATHER_TEMP_UNIT_INVALID | invalid unit |
GWEATHER_TEMP_UNIT_DEFAULT | the user preferred temperature unit |
GWEATHER_TEMP_UNIT_KELVIN | Kelvin (absolute) temperature scale |
GWEATHER_TEMP_UNIT_CENTIGRADE | Celsius temperature scale |
GWEATHER_TEMP_UNIT_FAHRENHEIT | Fahrenheit temperature scale |

## Property Details

### The `“enabled-providers”` property

      “enabled-providers”        GWeatherProvider

A bitmask of enabled weather service providers.

Owner: GWeatherInfo

Flags: Read / Write

Default value: GWEATHER_PROVIDER_METAR | GWEATHER_PROVIDER_IWIN

### The `“location”` property

      “location”                 GWeatherLocation *

The location this info represents.

Owner: GWeatherInfo

Flags: Read / Write / Construct

## Signal Details

### The `“updated”` signal

    void
    user_function (GWeatherInfo *object,
                   gpointer      user_data)

This signal is emitted after the initial fetch of the weather data from upstream services, and after every successful call to ``gweather_info_update()`` .

#### Parameters

object | the emitter of the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First